<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed Apr 15 17:44:51 EEST 2020 -->
<title>ProductBLL</title>
<meta name="date" content="2020-04-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ProductBLL";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../businesslogic/OrderItemBLL.html" title="class in businesslogic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?businesslogic/ProductBLL.html" target="_top">Frames</a></li>
<li><a href="ProductBLL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">businesslogic</div>
<h2 title="Class ProductBLL" class="title">Class ProductBLL</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>businesslogic.ProductBLL</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ProductBLL</span>
extends java.lang.Object</pre>
<div class="block">Aceasta clasa se ocupa cu logica operatiilor folosite pe tabela Products, mai exact insert, delete si update.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../businesslogic/ProductBLL.html#ProductBLL--">ProductBLL</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../businesslogic/ProductBLL.html#deleteProduct-java.lang.String-">deleteProduct</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Aceasta metoda se ocupa cu stergerea unui client in functie de numele trimis ca parametru.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../businesslogic/ProductBLL.html#insertProduct-model.Product-">insertProduct</a></span>(<a href="../model/Product.html" title="class in model">Product</a>&nbsp;p)</code>
<div class="block">Aceasta metoda are rolul de a insera un produs apeland metoda corespunzatoare din ProductDAO.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../businesslogic/ProductBLL.html#updateProduct-int-java.lang.String-">updateProduct</a></span>(int&nbsp;newQ,
             java.lang.String&nbsp;name)</code>
<div class="block">Aceasta metoda are rolul de a actualiza cantitatea produsului a carui nume este trimis ca parametru.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ProductBLL--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ProductBLL</h4>
<pre>public&nbsp;ProductBLL()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deleteProduct-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteProduct</h4>
<pre>public static&nbsp;void&nbsp;deleteProduct(java.lang.String&nbsp;name)
                          throws <a href="../exception/DeletionFailedException.html" title="class in exception">DeletionFailedException</a></pre>
<div class="block">Aceasta metoda se ocupa cu stergerea unui client in functie de numele trimis ca parametru. Odata cu stergerea
 unui produs se vor sterge toate comenzile care contin acel produs. In momentul in care stergrea esueaza, se
 arunca o exceptie de tipul DeletionFailedException.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele produsului</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/DeletionFailedException.html" title="class in exception">DeletionFailedException</a></code></dd>
</dl>
</li>
</ul>
<a name="insertProduct-model.Product-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertProduct</h4>
<pre>public static&nbsp;void&nbsp;insertProduct(<a href="../model/Product.html" title="class in model">Product</a>&nbsp;p)
                          throws <a href="../exception/InsertionFailedException.html" title="class in exception">InsertionFailedException</a></pre>
<div class="block">Aceasta metoda are rolul de a insera un produs apeland metoda corespunzatoare din ProductDAO. Totodata se verifica daca
  inserarea are loc cu succes, in caz contrar se va arunca o exceptie de tipul InsertionFailedException.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - produsul care urmeaza a fi inserat</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/InsertionFailedException.html" title="class in exception">InsertionFailedException</a></code></dd>
</dl>
</li>
</ul>
<a name="updateProduct-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateProduct</h4>
<pre>public static&nbsp;void&nbsp;updateProduct(int&nbsp;newQ,
                                 java.lang.String&nbsp;name)
                          throws <a href="../exception/UpdateFailedException.html" title="class in exception">UpdateFailedException</a></pre>
<div class="block">Aceasta metoda are rolul de a actualiza cantitatea produsului a carui nume este trimis ca parametru.
 Cand aceasta operatie esueaza, se va arunca o exceptie de tipul UpdateFailedException.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newQ</code> - noua cantitate</dd>
<dd><code>name</code> - numele produsului</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/UpdateFailedException.html" title="class in exception">UpdateFailedException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../businesslogic/OrderItemBLL.html" title="class in businesslogic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?businesslogic/ProductBLL.html" target="_top">Frames</a></li>
<li><a href="ProductBLL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
